Subject: About translation
From: <[email-masked]>
To: <[email-masked]>
Date: Mon, 22 Oct 2007 00:12:32 -0400

Hi Mike,
I am sending you the disk with the translation with the girls. You were right, there a few changes and some additions. Sorry about the delay, I was busy doing a translation for the State. Hope everything goes wsll with you. I used 1hr and 1/2.? I am leaving for Peru Tuesday afternoon, I will be back Sunday. Please mail the cheque to my house 15854 Culver Dr. E. lansing MI 48823. 

Have a great week,? Doris
________________________________________________________________________
Email and AIM finally together. You've gotta check out free AOL Mail! - http://mail.aol.com